Support » Plugin: Events Manager Pro - Mollie Payments » Mollie Payments plug-in show’s errors from other plug-ins?

  • Resolved cd_BE

    (@cd_be)


    Hi

    So once I activate this plug-in. Ik get the Notice: Undefined index: message from 3 other plug-ins. I contact the developers from those and they say everything works fine. What is true as long as I don’t turn on the Mollie Payments plug-in.

    Are these problems always there? Or is there more to it?

Viewing 9 replies - 1 through 9 (of 9 total)
  • Plugin Author Stonehenge Creations

    (@duisterdenhaag)

    What are the exact notices? I cannot guess the error, of course.

    Also, what are the other three plugins? That could narrow it down.

    cd_BE

    (@cd_be)

    These:
    Notice: Undefined index: newsletters_method in httpd.www/wp-content/plugins/wp-mailinglist/wp-mailinglist.php on line 887 Warning: Cannot modify header information - headers already sent by (output started at httpd.www/wp-content/plugins/wp-mailinglist/wp-mailinglist.php:887) in httpd.www/wp-content/plugins/onecom-vcache/vcaching.php on line 529 Warning: Cannot modify header information - headers already sent by (output started at httpd.www/wp-content/plugins/wp-mailinglist/wp-mailinglist.phap:887) in httpd.www/wp-content/plugins/onecom-vcache/vcaching.php on line 531 Warning: Cannot modify header information - headers already sent by (output started at httpd.www/wp-content/plugins/wp-mailinglist/wp-mailinglist.php:887) in httpd.www/wp-content/plugins/onecom-vcache/vcaching.php on line 537 Notice: Undefined index: page in /httpd.www/wp-content/plugins/wp-mailinglist/wp-mailinglist-plugin.php on line 6313

    I asked onecom they have no clue and wp-mailinglist say it isn’t them. Weird part is that in wp-config debug is set to false.

    Plugin Author Stonehenge Creations

    (@duisterdenhaag)

    I think it’s safe to assume, that the error in vcaching.php is a results of the error in wp-mailinglist.phap, since that appears to be a caching plugin that always hooks in last. So, let’s lay that one aside (for now).

    The error clearly shows WP is looking for a variable used in the WP Mailinglist Plugin, before it has been defined. EM Mollie does not use $newsletters_method, nor anything similar.

    Since WP Mailinglist appears to be a premium plugin, I can not download it and look at their code for you. šŸ™ I think (just a guess), that they are hooking into the EM Booking Object. Since my plugin has been coded according to the EM gateway standards, it should work perfectly with EM. To be honest, I doubt that the mailinglist plugin was developed with EM in mind…

    Again, there is no way to tell for sure without looking at the actual code, but if the plugin is hooking into the EM Booking Object too soon, too late or with the wrong action hook, it could indeed cause problems.

    If you are willing to share your purchased copy of WP Mailinglist with me (by email), I’d be happy to look deeper into it.

    cd_BE

    (@cd_be)

    premium plugin? As far as I know the plug-in used Newsletters is free to download and to unlock more options you need a serial but no extra plug-in to unlock.

    They do have a Extension for EM. Don’t have that plug-in installed but I know they have it.

    If I contact you via the site I have to lie: “I confirm that my message is not a plugin support question. ” because this seems as plug-in support.

    Hi

    I sent you a message via your contact page. I think communication will be faster that way.

    Kind regards

    Plugin Author Stonehenge Creations

    (@duisterdenhaag)

    Email Support is for customers using my premium plugins only. Clearly statd on the website.

    I am still looking into the probleem, but have not been able to reproduce it yet. “Error reporting” only reports an error, it does not create it.

    I know

    If you are willing to share your purchased copy of WP Mailinglist with me (by email), Iā€™d be happy to look deeper into it.

    I’m willing to share but could not find a way to send a mail to you than via the contact page.

    And now there is a critical error with this plug-in.

    Even if I go back to the previous version the critical error shows.

    version 2.4.1 seems to solves this issue as well.

Viewing 9 replies - 1 through 9 (of 9 total)
  • You must be logged in to reply to this topic.